// defines SNEEKER robot
////////////////////////////////////////////////////////////////////////////////////

// start wrapper - prevent multiple inclusions or recursive inclusions

#ifndef INCLUDED_SNEEKER_GSH
#define INCLUDED_SNEEKER_GSH

////////////////////////////////////////////////////////////////////////////////////

#include "grenade_launcher.gsh"
#include "defaults.gsh"
#include "sneekerfrag.gsh"
hierarchy Hcy_sneeker
{
	file "units\LOWsneeker.RIF"
	name "LOWsneeker"
	hotspot "dunflash"
}

hierarchy Hcy_sneekerShadow
{
	file "units\sneeker_shadow.RIF"
	name "sneekershadow"
}

character Chr_sneeker : Chr_DefaultBaddie
{
	turning speed   0.75	// this is in revolutions per second
	walking speed   1	// this is in animation cycles per second
	weapon          plasmagnum
	strength        200	// initial strength points
	aim             2	// how many degrees off target he can be at most
	sight angle	30	// in degrees
	sight range 	15	// in metres
	hearing range	10	// in metres
	aggression	0.75	// from 0 to 1
	radius			2	// used by the movement model
	shadow hierarchy		Hcy_sneekerShadow
}

character Chr_mini_sneeker : Chr_DefaultBaddie
{
	turning speed   0.75	// this is in revolutions per second
	walking speed   1	// this is in animation cycles per second
	weapon          plasmagnum
	strength        107	// initial strength points
	aim             2	// how many degrees off target he can be at most
	sight angle	30	// in degrees
	sight range 	15	// in metres
	hearing range	10	// in metres
	aggression	0.75	// from 0 to 1
	radius			1	// used by the movement model
	size 0.75
	shadow hierarchy		Hcy_sneekerShadow
}

role Rol_sneeker : Rol_DefaultRobot
{
	shape		Hcy_sneeker

	character	Chr_sneeker

	identifier	"SNEEKER"

	recon name	sneeker recon

	destructibility	Frg_sneeker

	armour		7

	ai		bot
}


role Rol_mini_sneeker : Rol_DefaultRobot
{
	shape		Hcy_sneeker

	character	Chr_mini_sneeker

	identifier	"MINI_SNEEKER"

	recon name	sneeker recon

	destructibility	Frg_sneeker
	
	armour		4

	ai		bot
}					

////////////////////////////////////////////////////////////////////////////////////

// end wrapper - for preventing multiple or recursive inclusions
#endif // !INCLUDED_SNEEKER_GSH
